#
# spec file for package python-nbxmpp
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define _name   nbxmpp
Name:           python-nbxmpp
Version:        0.6.10
Release:        lp151.2.4.1
Summary:        XMPP library by Gajim team
License:        GPL-3.0-or-later
Group:          Development/Languages/Python
URL:            https://dev.gajim.org/gajim/python-nbxmpp
Source:         https://files.pythonhosted.org/packages/source/n/%{_name}/%{_name}-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch

%description
Python-nbxmpp is a Python library that provides a way for Python
applications to use Jabber/XMPP networks in a non-blocking way.
This library is initialy a fork of xmpppy one, but using
non-blocking sockets.

%python_subpackages

%package doc
Summary:        Nbxmpp Documentation
Group:          Documentation/Other

%description doc
This packages provides documentation of Nbxmpp API.

%prep
%setup -q -n %{_name}-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}/

%files %{python_files}
%license COPYING
%{python_sitelib}/%{_name}/
%{python_sitelib}/%{_name}-*

%files %{python_files doc}
%doc ChangeLog README
%doc doc/apidocs/ doc/examples/

%changelog
* Thu May 23 2019 mvetter@suse.com
- Update to 0.6.10:
  * Add support for domain based name in features for GSSAPI
  * Fix usage of BOSH
  * Fix Jingle hash namespace
* Thu Jan 31 2019 mvetter@suse.com
- Update to version 0.6.9 (boo#1123247):
  * Always bind after SM failed Fixes #64
  * Dont try and guess system language
* Mon Nov 19 2018 sor.alexei@meowr.ru
- Update to version 0.6.8 (changes since 0.6.6):
  * Raise default TLS version to 1.2.
  * Remove DIGEST-MD5 from the default auth mechs.
  * Add STANZA RECEIVED Event (some servers send more than one
    stanza in one packet).
  * Add alternative locations to load TLS certs from.
  * Reset SM counter after receiving <enabled>.
  * Issue event when SM resume fails.
* Tue May 22 2018 tchvatal@suse.com
- Use setuptools not devel to reduce dependency requirements
* Tue May 22 2018 mvetter@suse.com
- Update to 0.6.6:
  * Record all SSL errors instead of only the first
  * Pass arguments to plugin/plugout methods
  * Allow the Roster to be initalized without requesting it from the server
* Fri May 11 2018 tbro@opensuse.org
- Update to version 0.6.5 (30 April 2018)
  * Fix BOSH usage (don't set ALPN)
  * Better handling of certificate files
  * needed for newest gajim version 1.0.2, as it broke with 0.6.4
* Sat Mar 17 2018 sor.alexei@meowr.ru
- Update to version 0.6.4 (changes since 0.6.1):
  * Correctly load client certs.
  * Warn on any error in the certificate chain.
  * Fixed a traceback loop.
  * Add ALPN and SNI support for when using DirectTLS.
  * Fix SOCKS5 usage.
  * Bugfixes.
* Wed Dec 13 2017 frede@b1-systems.de
- Update to version 0.6.1
  * Add new getStanzaIDAttrs method
  * Fix BOSH connexion
  * stop using PyOpenSSL for random generator
* Sun Nov  5 2017 vilene@posteo.net
- Update to version 0.6.0:
  * Add new getOriginID/SetOriginID method for Messages
  * Add new getJid() method for Protocol
  * getTagAttr() accepts now a namespace argument
  * Add new `protocol` argument for getTag()
  * Add new XEP Namespaces
  * Support XEP-0198 Version 1.5.2
* Wed May 17 2017 sor.alexei@meowr.ru
- Update to version 0.5.5:
  * Add some namespaces.
  * Some cleanup.
- Update for the multipython build.
* Thu Oct 13 2016 sor.alexei@meowr.ru
- Update to version 0.5.4:
  * Fix SCRAM authentication.
  * Fix BOSH connection with UTF-8 messages.
  * Fix smacks implementation.
  * Use uuid in stanza ids.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Sep  3 2015 toddrme2178@gmail.com
- Shouldn't be noarch in SLE 11
* Mon Jul 20 2015 sor.alexei@meowr.ru
- Update to 0.5.3:
  * Fix issue with pyopenssl 0.15.1.
  * Fix decoding issues.
* Sat Jan 10 2015 sor.alexei@meowr.ru
- Update to 0.5.2:
  * Fix BOSH HTTP requests.
  * Fix handling of binary SASL data for mechanism GSSAPI.
  * Update MAM namespace.
* Fri Oct 17 2014 p.drouand@gmail.com
- Correct Group is Development/Languages/Python
- Remove depreciated %%py_requires
- Do not pass -O1 --skip-build options
- Call python instead of python2
* Sat Oct 11 2014 sor.alexei@meowr.ru
- Update to 0.5.1 (changes since 0.2):
  * Fix printing network errors in a non-utf-8 console
  * Support both python2 and python3
  * Fix storing server certificate when there is no error
  * Ability to configure TLS protocol version
  * Add support for SCRAM-SHA-1-PLUS
  * Security improvements
  * Improve security level
  * Ability to configure cipher list
  * Store only depth 0 SSL certificate
* Sun Dec  8 2013 p.drouand@gmail.com
- Update to version 0.2
  + Add some namespace
  + do TLS handshake without blocking
  + store all SSL errors instead of only last one
- Set correct Group : Devel/Languages/Python
- Use download Url as source
- Remove unwanted comments in specfile
- Package the two directories in /doc to avoid providing epydoc build
  configuration file
* Thu Aug 15 2013 dap.darkness@gmail.com
- Heads up: Python2 / Python3 parallel installation.
  %%fdupes will not work if files are installed via %%doc.
* Sat Apr 20 2013 dap.darkness@gmail.com
- Fixed up to submit.
* Sat Apr  6 2013 nekolayer@yandex.ru
- Initial package.
